7142692 failed to 'tpmadm init' on s11u1b08
authorDan Anderson <dan.anderson@oracle.com>
Thu, 22 Mar 2012 09:43:00 -0700
changeset 743 ac51639ccac1
parent 742 8e2984d64f67
child 744 6df1d115f82e
7142692 failed to 'tpmadm init' on s11u1b08
components/trousers/tcsd.sh
components/trousers/trousers.p5m
--- a/components/trousers/tcsd.sh	Wed Mar 21 11:17:19 2012 -0700
+++ b/components/trousers/tcsd.sh	Thu Mar 22 09:43:00 2012 -0700
@@ -19,7 +19,7 @@
 #
 # CDDL HEADER END
 #
-# Copyright (c) 2008, 2011, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2008, 2012, Oracle and/or its affiliates. All rights reserved.
 #
 
 . /lib/svc/share/smf_include.sh
@@ -33,12 +33,12 @@
 fi
 
 tcsd_start() 	{
-	echo /usr/lib/tcsd 
-	/usr/lib/tcsd 2>&1 > /dev/null &
+	echo /usr/lib/64/tcsd 
+	/usr/lib/64/tcsd >/dev/null 2>&1 &
 }
 	
 tcsd_stop()	{
-	/usr/bin/pkill -x tcsd 2>&1 > /dev/null
+	/usr/bin/pkill -x tcsd >/dev/null 2>&1
 }
 
 case "$1" in
--- a/components/trousers/trousers.p5m	Wed Mar 21 11:17:19 2012 -0700
+++ b/components/trousers/trousers.p5m	Thu Mar 22 09:43:00 2012 -0700
@@ -18,14 +18,16 @@
 #
 # CDDL HEADER END
 #
-# Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2011, 2012, Oracle and/or its affiliates. All rights reserved.
 #
 
 <transform file path=usr.*/man/.+ -> default mangler.man.stability uncommitted>
 set name=pkg.fmri \
     value=pkg:/library/security/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
 set name=pkg.summary \
-    value="TCG Software Stack - software for accessing a TPM device"
+    value="TrouSerS TCG software to access a TPM device"
+set name=pkg.description \
+    value="The TrouSerS library provides a software stack from the Trusted Computer Group (TCG) that accesses a Trusted Platform Module (TPM) hardware device."
 set name=info.classification \
     value=org.opensolaris.category.2008:System/Security
 set name=info.source-url value=$(COMPONENT_ARCHIVE_URL)
@@ -186,3 +188,8 @@
 link path=usr/lib/$(MACH64)/libtspi.so.1 target=libtspi.so.1.1.3
 link path=usr/lib/libtspi.so target=libtspi.so.1.1.3
 link path=usr/lib/libtspi.so.1 target=libtspi.so.1.1.3
+#
+# libtspi requires 646%UTF-8.so in package unicode-core. This is for function
+# Trspi_Native_To_UNICODE() which calls iconv_open() to open this library.
+#
+depend fmri=pkg:/system/library/iconv/unicode-core type=require